Upgraded the ParaView build scripts to version 3.3-cvs.
[OpenFOAM-1.5.x.git] / bin / foamPackDoxygen
blob239c87c740a8888a01ddd7bab1cd0b881766ee5a
1 #!/bin/sh
2 #------------------------------------------------------------------------------
3 # ========= |
4 # \\ / F ield | OpenFOAM: The Open Source CFD Toolbox
5 # \\ / O peration |
6 # \\ / A nd | Copyright (C) 1991-2008 OpenCFD Ltd.
7 # \\/ M anipulation |
8 #-------------------------------------------------------------------------------
9 # License
10 # This file is part of OpenFOAM.
12 # OpenFOAM is free software; you can redistribute it and/or modify it
13 # under the terms of the GNU General Public License as published by the
14 # Free Software Foundation; either version 2 of the License, or (at your
15 # option) any later version.
17 # OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
18 # ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
19 # FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
20 # for more details.
22 # You should have received a copy of the GNU General Public License
23 # along with OpenFOAM; if not, write to the Free Software Foundation,
24 # Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
26 # Script
27 # foamPackDoxygen [-prefix DIR] [-o outputDir]
29 # Description
30 # Packs and compresses the OpenFOAM doxygen html for release
32 #------------------------------------------------------------------------------
33 packDir=$WM_PROJECT-$WM_PROJECT_VERSION
34 packTag=_Doxygen.gtgz
36 usage() {
37 cat <<USAGE 1>&2
38 Usage: ${0##*/} [-prefix DIR] [-o outputDir]
40 Packs and compresses the OpenFOAM doxygen html for release
42 USAGE
43 exit 1
46 unset prefix outputDir
48 while [ "$#" -gt 0 ]
50 case $1 in
51 -prefix | --prefix )
52 prefix=${2%%/}
53 shift 2
55 -o | -output )
56 outputDir=${2%%/}
57 shift 2
59 -h | -help )
60 usage
62 -*)
63 usage "unknown option: '$*'"
65 esac
66 done
68 # if packing from within the directory, use -prefix form
69 if [ "${PWD##*/}" = "$packDir" ]
70 then
71 : ${prefix:=$packDir}
74 # pack the directories directly and add prefix afterwards
75 if [ -n "$prefix" ]
76 then
77 packDir="$prefix"
78 elif [ ! -d $packDir ]
79 then
80 echo "Error: directory $packDir does not exist"
81 exit 1
85 # add optional output directory
87 if [ -d "$outputDir" ]
88 then
89 packFile="$outputDir/$packDir$packTag"
90 else
91 packFile="$packDir$packTag"
95 if [ -f $packFile ]
96 then
97 echo "Error: $packFile already exists"
98 exit 1
101 # Pack and compress the packFile using GNU tar
102 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
103 echo
104 echo "Packing doxygen html into $packFile"
105 echo
107 if [ -n "$prefix" ]
108 then
109 tar czpf $packFile --transform="s@^@$prefix/@" doc/Doxygen/html
110 else
111 tar czpf $packFile $packDir/doc/Doxygen/html
114 if [ $? = 0 ]
115 then
116 echo "Finished packing doxygen html into file $packFile"
117 else
118 echo "Error: failure packing doxygen html file $packFile"
121 #------------------------------------------------------------------------------